Bug 850544 - No connection URL or Cartridge data for 10gen-mms-agent-0.1, metrics-0.1, phpmyadmin-3.4
No connection URL or Cartridge data for 10gen-mms-agent-0.1, metrics-0.1, php...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
: 849862 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 15:39 EDT by Lili Nader
Modified: 2015-05-14 18:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: AMI: devenv_2056
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lili Nader 2012-08-21 15:39:21 EDT
See bug https://bugzilla.redhat.com/show_bug.cgi?id=849862
Comment 1 Lili Nader 2012-08-21 15:42:29 EDT
The above cartridges do not specify a connection URL or cartridge data
Comment 2 Lili Nader 2012-08-21 15:43:25 EDT
*** Bug 849862 has been marked as a duplicate of this bug. ***
Comment 3 Rob Millner 2012-08-21 20:31:53 EDT
On devenv_2046, just 10gen-mms-agent is missing.

[rmillner@splat rhc]$ rhc domain show -p vostok08

User Info
=========
Namespace: rmillner0308
  RHLogin: rmillner@redhat.com


Application Info
================
rmtest
    Framework: php-5.3
     Creation: 2012-08-21T20:23:27-04:00
         UUID: f91cbfe805dc43b98c73a2d8796ea3f8
      Git URL: ssh://f91cbfe805dc43b98c73a2d8796ea3f8@rmtest-rmillner0308.dev.rhcloud.com/~/git/rmtest.git/
   Public URL: http://rmtest-rmillner0308.dev.rhcloud.com/

 Embedded: 
      mongodb-2.0 - Connection URL: mongodb://127.0.250.129:27017/
      mysql-5.1 - Connection URL: mysql://127.0.250.129:3306/
      phpmyadmin-3.4 - URL: https://rmtest-rmillner0308.dev.rhcloud.com/phpmyadmin/
      metrics-0.1 - URL: https://rmtest-rmillner0308.dev.rhcloud.com/metrics/
Comment 4 Rob Millner 2012-08-21 20:48:15 EDT
Updated the manifest.yml file in each cartridge to describe the hooks.

Pull requests:
https://github.com/openshift/li/pull/291
https://github.com/openshift/crankcase/pull/421
Comment 5 Rob Millner 2012-08-22 01:37:34 EDT
Pull requests accepted.
Comment 6 Jianwei Hou 2012-08-22 06:39:22 EDT
Tested on devenv_2050

Steps:
Create an app and add all cartridges to it, run 'rhc domain show' to check if connection urls can be displayed.

Result:
The 10gen-mms-agent-0.1 has no url connection, and the output format is wrong:
10gen-mms-agent-0.1 and cron-1.4 are displayed in the same line.


User Info
=========
Namespace: 2050t1

Login: jhou@redhat.com

Namespace 2050t1's Applications
===============================
p1
    Framework: php-5.3
     Creation: 2012-10-10T00:25:35-04:00
         UUID: 23f0da58cbbf4103b01bac25c11df018
      Git URL: ssh://23f0da58cbbf4103b01bac25c11df018@p1-2050t1.dev.rhcloud.com/~/git/p1.git/
   Public URL: http://p1-2050t1.dev.rhcloud.com/
   Cartridges:
       metrics-0.1 - https://p1-2050t1.dev.rhcloud.com/metrics/
       rockmongo-1.1 - https://p1-2050t1.dev.rhcloud.com/rockmongo/
       mysql-5.1 - mysql://127.0.253.129:3306/
       phpmyadmin-3.4 - https://p1-2050t1.dev.rhcloud.com/phpmyadmin/
       jenkins-client-1.4 - https://jks-2050t1.dev.rhcloud.com/job/p1-build/
       10gen-mms-agent-0.1 -        cron-1.4
       mongodb-2.0 - mongodb://127.0.253.129:27017/


Expected result:(run rhc-domain-info)

Application Info
================
p1
    Framework: php-5.3
     Creation: 2012-10-10T00:25:35-04:00
         UUID: 23f0da58cbbf4103b01bac25c11df018
      Git URL: ssh://23f0da58cbbf4103b01bac25c11df018@p1-2050t1.dev.rhcloud.com/~/git/p1.git/
   Public URL: http://p1-2050t1.dev.rhcloud.com/

 Embedded: 
      10gen-mms-agent-0.1 - Monitoring URL: https://mms.10gen.com/
      metrics-0.1 - URL: https://p1-2050t1.dev.rhcloud.com/metrics/
      mysql-5.1 - Connection URL: mysql://127.0.253.129:3306/
      jenkins-client-1.4 - Job URL: https://jks-2050t1.dev.rhcloud.com/job/p1-build/
      cron-1.4
      rockmongo-1.1 - URL: https://p1-2050t1.dev.rhcloud.com/rockmongo/
      phpmyadmin-3.4 - URL: https://p1-2050t1.dev.rhcloud.com/phpmyadmin/
      mongodb-2.0 - Connection URL: mongodb://127.0.253.129:27017/
Comment 7 Rob Millner 2012-08-22 13:27:08 EDT
Had to fix the UI as well.
$ rhc domain show
Password: ********


User Info
=========
Namespace: rmillner0309

Login: rmillner@redhat.com

Namespace rmillner0309's Applications
=====================================
rmtest
    Framework: php-5.3
     Creation: 2012-08-22T12:45:42-04:00
         UUID: 85f9c60010ff4706b66085d90c3cc81c
      Git URL: ssh://85f9c60010ff4706b66085d90c3cc81c@rmtest-rmillner0309.dev.rhcloud.com/~/git/rmtest.git/
   Public URL: http://rmtest-rmillner0309.dev.rhcloud.com/
   Cartridges:
       phpmyadmin-3.4 - https://rmtest-rmillner0309.dev.rhcloud.com/phpmyadmin/
       cron-1.4
       metrics-0.1 - https://rmtest-rmillner0309.dev.rhcloud.com/metrics/
       rockmongo-1.1 - https://rmtest-rmillner0309.dev.rhcloud.com/rockmongo/
       mongodb-2.0 - mongodb://127.0.250.129:27017/
       10gen-mms-agent-0.1 - https://mms.10gen.com/
       mysql-5.1 - mysql://127.0.250.129:3306/
Comment 8 Rob Millner 2012-08-22 13:29:23 EDT
Pull requests merging together:
https://github.com/openshift/rhc/pull/134
https://github.com/openshift/crankcase/pull/424
Comment 9 Rob Millner 2012-08-22 18:42:42 EDT
Pull request accepted.
Comment 10 Jianwei Hou 2012-08-23 01:42:27 EDT
Verified on devenv_2059

Steps:
1.Create apps and embed all supported cartridges
2.Run 'rhc domain show' and check output

Result:
All supported cartridges are displayed including connection URLs.


User Info
=========
Namespace: 2059t1

Login: jhou@redhat.com

Namespace 2059t1's Applications
===============================
p1
    Framework: php-5.3
     Creation: 2012-08-23T01:22:30-04:00
         UUID: 15852a345e3941f38606aed69339b6f3
      Git URL: ssh://15852a345e3941f38606aed69339b6f3@p1-2059t1.dev.rhcloud.com/~/git/p1.git/
   Public URL: http://p1-2059t1.dev.rhcloud.com/
   Cartridges:
       phpmyadmin-3.4 - https://p1-2059t1.dev.rhcloud.com/phpmyadmin/
       phpmoadmin-1.0 - https://p1-2059t1.dev.rhcloud.com/phpmoadmin/
       cron-1.4
       mysql-5.1 - mysql://127.0.251.129:3306/
       jenkins-client-1.4 - https://jks-2059t1.dev.rhcloud.com/job/p1-build/
       rockmongo-1.1 - https://p1-2059t1.dev.rhcloud.com/rockmongo/
       mongodb-2.0 - mongodb://127.0.251.129:27017/
       10gen-mms-agent-0.1 - https://mms.10gen.com/
       metrics-0.1 - https://p1-2059t1.dev.rhcloud.com/metrics/

jks
    Framework: jenkins-1.4
     Creation: 2012-08-23T01:24:48-04:00
         UUID: 17018ecc5e56440a9063313aae79a611
      Git URL: ssh://17018ecc5e56440a9063313aae79a611@jks-2059t1.dev.rhcloud.com/~/git/jks.git/
   Public URL: http://jks-2059t1.dev.rhcloud.com/
   Cartridges:
       None

pl
    Framework: perl-5.10
     Creation: 2012-08-23T01:25:08-04:00
         UUID: c6b5c0be085f464d9438574bf59a9b7c
      Git URL: ssh://c6b5c0be085f464d9438574bf59a9b7c@pl-2059t1.dev.rhcloud.com/~/git/pl.git/
   Public URL: http://pl-2059t1.dev.rhcloud.com/
   Cartridges:
       postgresql-8.4 - postgresql://127.0.252.129:5432/

pys
    Framework: python-2.6
     Creation: 2012-08-23T01:38:47-04:00
         UUID: f213672b50b544968a1b1d714d1f983d
      Git URL: ssh://f213672b50b544968a1b1d714d1f983d@pys-2059t1.dev.rhcloud.com/~/git/pys.git/
   Public URL: http://pys-2059t1.dev.rhcloud.com/
   Cartridges:
       haproxy-1.4

Note You need to log in before you can comment on or make changes to this bug.